# syntax=docker/dockerfile:1
FROM python:3.10
RUN apt-get update
RUN apt-get install -y python3-sphinx node.js npm
RUN npm install -g http-server
RUN pip install pydata-sphinx-theme
WORKDIR /app/
ENV v6root=/app/data/
RUN mkdir ${v6root}
COPY base.requirements.txt base.requirements.txt
RUN pip install -r base.requirements.txt
COPY requirements.txt requirements.txt
RUN pip install -r requirements.txt
COPY docs/Makefile docs/Makefile
COPY v6d3music v6d3music
COPY docs/source docs/source
WORKDIR /app/docs/
RUN make html
WORKDIR /app/docs/build/html/
CMD [ "http-server", "-p", "80" ]
